Page 1 of 1

Problems with Kernel 4.15.029~31

PostPosted: Thu Aug 02, 2018 5:32 pm
by Swarfendor437
WARNING

Today I updated a works Notebook running Zorin 12.3 and it updated to 4.15.0.29~31 and it refused to boot correctly, dropping to a 'busy-box' shell prompt.
If you are running a relatively old piece of kit (the notebook at work was originally purchased in 2010, DON'T go beyond 4.13.x.xx~xx


I had to remove the kernel in the following the guidance here:

https://askubuntu.com/questions/621701/ ... nel#621712

Booting to an older kernel means you select the Advanced options in GRUB and choose an earlier Kernel to boot into and remove the new one as advised in the thread shown.

Re: Problems with Kernel 4.15.029~31

PostPosted: Wed Aug 08, 2018 2:00 pm
by pcfan5
Followed the thread shown at first I couldn't achieve the goal the correct sintaxis after
Code: Select all
dpkg -l | grep linux
is
Code: Select all
sudo apt-get remove linux-image-4.15.0-29

Re: Problems with Kernel 4.15.029~31

PostPosted: Wed Aug 08, 2018 10:13 pm
by Swarfendor437
Did you manage it in the end? ;) :D

Re: Problems with Kernel 4.15.029~31

PostPosted: Wed Aug 08, 2018 10:30 pm
by pcfan5
no my friend, not at all, I have found another tutorial in spanish and I am about to try it since, the command I typped before did some work but it wasn't a good result, I am still booting in 4.15.029~31.

I found this
Code: Select all
sudo apt-get purge linux-image-4.0.2* linux-headers-4.0.2*
(where numbers should be replaced with the current version, I think) .
By the way ,when I boot from Grub, I select 4.14 (generic) , I haven't try with upstart or recovery since I am not sure what they are for. PS: what is the extension for reddo back up files? I cannot find my back up.

update I have also tried with this and doesn't work, by the way this commands leaves a lot of packages to be removed by hand... I will install the OS again. I am sorry the manager updater doesn't have options to work with kernels from it. And I am sorry I gave it a try.

Re: Problems with Kernel 4.15.029~31

PostPosted: Thu Aug 09, 2018 3:01 pm
by pcfan5
By the way after the fresh instalation, I updated my system again from the manager updater , I have unchecked all the marks related to kernel 4.15 or any kernel at all , but it seems it is imposible to avoid its instalation. This is a big issue for me since my "virtual box machine" depends on the kernel 4.13 and won't lunch under the latest one. Why is this? Is there any way to avoid latests hernel instalation?

Re: Problems with Kernel 4.15.029~31

PostPosted: Fri Aug 10, 2018 12:01 am
by Swarfendor437
When you select 'Software Updater' it will check for packages - click on the triangle/arrow head to the left to get the drop-down of what is about to be installed. Uncheck any kernel updates that show up.

Details of updates.jpg

Re: Problems with Kernel 4.15.029~31

PostPosted: Fri Aug 10, 2018 12:47 am
by pcfan5
I have done so, (I am affraid I wasn't clear before, I meant that earlier) , I unchecked everything related to kernel. Anyway it installed it , and the procedure to uninstall didn't work for me. So I booted again into kernel 4.13 from Grub menu, which is tough, since holding "tab" not always work., and started removing it from "synaptics", I know this was "reckles" :| and as that didn't solved the issue, I booted again into kernel 4.13 and I managed to do this in order ;) :

Code: Select all
dpkg -l | grep linux

Code: Select all
sudo apt-get remove linux-image-4.15.0-30-generic
sudo apt-get remove linux-image-extra-4.13.0-37-generic
sudo apt-get remove linux-image-unsigned-4.15.0-30-generic
sudo apt-get remove  linux-modules-4.15.0-30-generic
sudo apt-get remove  linux-modules-extra-4.15.0-30-generic


Then there was some packages about which it said they could be remove like this

Code: Select all
sudo apt autoremove  amd64-microcode intel-microcode iucode-tool libllvm5.0 libllvm5.0:i386


at this part I have to rush to write "S", to avoid gettting overide.

Right now I am able to start my system again under
Code: Select all
Kernel~4.13.0-37-generic x86_64
:)

QuestiĆ³n :?: How can we avoid instaling a latest Kernels when it isn't necesary.

I come from LM and the updater manager there alows to see all kernels install , this in a separate tab, and mark with a "high" level so users can avoid installing "high risk" updates (setting it in preferences). I only say this not to by critic, please forgive If I sound wrong.

Ps: by the way thanks for letting the team know about my IP issue. It is solved now. Let them know about our manual translation project, I would like to be useful to this comunity.

Ps2: In the process I lost my virtual machine, it seems that "deleting" it from the Virtual Box program deletes forever....I have a back up

Re: Problems with Kernel 4.15.029~31

PostPosted: Wed Aug 15, 2018 7:30 pm
by pcfan5
It is impossible to avoid its instalation , even when unchecking , so I recomend after several tries now, after you made a fresh instalation of Zorin 12.3 , run the commands I posted, if this latest kernel version isn't needed. :evil:

The solution I found for the virtual box to work, is to update oracle virtual box to latest version which works this kernel... :cry:

PS: Update , for me it was imposible to avoid my system from upgrading to 12.4